# TCLAP::IgnoreRestVisitor Class Reference

A Vistor that tells the CmdLine to begin ignoring arguments after this one is parsed. More...

`#include <IgnoreRestVisitor.h>`

Inheritance diagram for TCLAP::IgnoreRestVisitor:

List of all members.

## Public Member Functions
| IgnoreRestVisitor ()
| Constructor.
void | visit ()
| Sets Arg::_ignoreRest.

## Detailed Description

A Vistor that tells the CmdLine to begin ignoring arguments after this one is parsed.

Definition at line 35 of file IgnoreRestVisitor.h.

## Constructor & Destructor Documentation

TCLAP::IgnoreRestVisitor::IgnoreRestVisitor | ( |  | ) | `[inline]`

Constructor.

Definition at line 42 of file IgnoreRestVisitor.h.

## Member Function Documentation

void TCLAP::IgnoreRestVisitor::visit | ( |  | ) | `[inline, virtual]`

Sets Arg::_ignoreRest.

Reimplemented from TCLAP::Visitor.

Definition at line 47 of file IgnoreRestVisitor.h.

References TCLAP::Arg::beginIgnoring().

The documentation for this class was generated from the following file:

- IgnoreRestVisitor.h